/**
  *  \file client/tiles/errortile.cc
  */

#include "client/tiles/errortile.h"
#include "ui/uiglobal.h"

WErrorTile::WErrorTile(string_t message)
    : WTile(font_sizes[FONT_NORMAL].scaledBy(20, 2)),
      message(message)
{ }

void
WErrorTile::drawData(GfxCanvas& can)
{
    // Frame
    UISkin& sk = getSkin();
    sk.setColor(UIColor::tc_Red);
    drawRectangle(can, sk, getExtent());

    // Text
    sk.outText(can, FONT_NORMAL, getExtent().x + 5, getExtent().y + (getExtent().h - font_heights[FONT_NORMAL])/2, message);
}
