/**
  *  \file int/keywords.h
  *  \brief Interpreter: Keywords
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_KEYWORDS_H
#define PCC_V2_INT_KEYWORDS_H

#include "cpluslib/string.h"

enum IntKeyword {
    kwNone,
    kwAbort,
    kwBind,
    kwBreak,
    kwCase,
    kwClose,
    kwContinue,
    kwCreateKeymap,
    kwCreatePlanetProperty,
    kwCreateShipProperty,
    kwDim,
    kwDo,
    kwElse,
    kwEnd,
    kwEndFunction,
    kwEndIf,
    kwEndSelect,
    kwEndSub,
    kwEndTry,
    kwEndWith,
    kwEval,
    kwFor,
    kwForEach,
    kwFunction,
    kwGet,
    kwIf,
    kwInput,
    kwLoad,
    kwLocal,
    kwLoop,
    kwNext,
    kwOn,
    kwOpen,
    kwOption,
    kwPrint,
    kwPut,
    kwRestart,
    kwReturn,
    kwRunHook,
    kwSeek,
    kwSelect,
    kwSelectionExec,
    kwSetByte,
    kwSetLong,
    kwSetStr,
    kwSetWord,
    kwShared,
    kwStatic,
    kwStop,
    kwSub,
    kwTry,
    kwTryLoad,
    kwUntil,
    kwWhile,
    kwWith
};

IntKeyword lookupKeyword(string_t s);

#endif
