/**
  *  \file util/modinitgui.cc
  *  \brief Module Initialisation - Common Initializers for all GUI applications
  *
  *  Initializes
  *  - platform output, i.e. redirection of console somewhere the user will see it
  *  - NLS
  *  - debugging (stack trace generation)
  *
  *  (c) 2001-2010 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "util/modinit.h"
#include "arch/platform.h"
#include "util/nls.h"
#include "util/debug.h"

// Constraints: not with mod_base_console
extern const ModuleInitializer mod_base_gui[] = {
    { OnStartup, Platform::initOutput },
    { OnStartup, initNLS },
    { OnStartup, initDebug },
    { 0, 0 },
};
